Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.local
Class LocalPredicateChainingMatcher<E,P extends Comparable<P>,C,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.PredicateChainingMatcher<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>
          com.hammurapi.eventbus.local.LocalPredicateChainingMatcher<E,P,C,S>

All Implemented Interfaces:
  LocalMatcher<E,P,C,S>, Matcher<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>

    public class LocalPredicateChainingMatcher<E,P extends Comparable<P>,C,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>

extends PredicateChainingMatcher<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>
implements LocalMatcher<E,P,C,S>

Nested Class Summary

Nested classes/interfaces inherited from class com.hammurapi.eventbus.PredicateChainingMatcher
`PredicateChainingMatcher.EventBusJoiner, PredicateChainingMatcher.JoinInput, PredicateChainingMatcher.JoinInputEventHandler, PredicateChainingMatcher.JoinNode`

Nested classes/interfaces inherited from interface com.hammurapi.eventbus.Matcher
`Matcher.HandlerManager<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

Field Summary

Fields inherited from class com.hammurapi.eventbus.PredicateChainingMatcher
`rootNode`

Constructor Summary
`LocalPredicateChainingMatcher()`

Method Summary
`protected TrackingExecutorService` | `createExecutorService(ExecutorService master, boolean oneOff, String name)` Creates a wrapper around the master executor service for task tracking purposes.
`protected PredicateChainingMatcher.EventBusJoiner` | `createJoiner(JoinEventHandler<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> handler, int[][] indices)`
`protected PredicatedInferenceNode<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>` | `createPredicatedInferenceNode(PredicatedInferenceNode<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> parent, predicate, C context)`
`protected Set<Long>` | `extractHandlerIds(EventHandlerWrapper<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> pHandler)`
`protected ReadWriteLock` | `getLock()` Lock for the inference network.
`protected Long` | `nextId()` Generates handler ID.
`protected EventHandlerWrapper<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>` | `wrap(EventHandler<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S> eventHandler, Long registrationKey)` Factory method for handler wrapper.

Methods inherited from class com.hammurapi.eventbus.PredicateChainingMatcher
`addHandler, getEventBus, manageHandlers, match, removeHandlers, reset, setEventBus, takeSnapshot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hammurapi.eventbus.Matcher
`addHandler, manageHandlers, match, removeHandlers, reset, setEventBus, takeSnapshot`

Constructor Detail

### LocalPredicateChainingMatcher

    public LocalPredicateChainingMatcher()

Method Detail

### createPredicatedInferenceNode

    protected PredicatedInferenceNode<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> createPredicatedInferenceNode(PredicatedInferenceNode<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> parent,
                                                                                                                       predicate,
                                                                                                                      C context)

  Specified by:
    `createPredicatedInferenceNode` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`

### getLock

    protected ReadWriteLock getLock()

  Description copied from class: `PredicateChainingMatcher`
  Lock for the inference network.

  Specified by:
    `getLock` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`
  Returns:

### extractHandlerIds

    protected Set<Long> extractHandlerIds(EventHandlerWrapper<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> pHandler)

  Specified by:
    `extractHandlerIds` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`

### wrap

    protected EventHandlerWrapper<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> wrap(EventHandler<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S> eventHandler,
                                                                                         Long registrationKey)

  Description copied from class: `PredicateChainingMatcher`
  Factory method for handler wrapper.

  Specified by:
    `wrap` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`
  Returns:

### createJoiner

    protected PredicateChainingMatcher.EventBusJoiner createJoiner(JoinEventHandler<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> handler,
                                                                   int[][] indices)

  Specified by:
    `createJoiner` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`

### nextId

    protected Long nextId()

  Description copied from class: `PredicateChainingMatcher`
  Generates handler ID.

  Specified by:
    `nextId` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`
  Returns:

### createExecutorService

    protected TrackingExecutorService createExecutorService(ExecutorService master,
                                                            boolean oneOff,
                                                            String name)

  Description copied from class: `PredicateChainingMatcher`
  Creates a wrapper around the master executor service for task tracking purposes.

  Specified by:
    `createExecutorService` in class `PredicateChainingMatcher<E,P extends Comparable<P>,C,Long,AbstractEventBus.Handle<E,P extends Comparable<P>,C,Long>,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>`
  Parameters:
    `master` - Master executor service
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD